PCAP_SET_BUFFER_SIZE(3) |  | PCAP_SET_BUFFER_SIZE(3)

# NAME

pcap_set_buffer_size - set the buffer size for a not-yet-activated capture handle

# SYNOPSIS

#include <pcap/pcap.h>

int pcap_set_buffer_size(pcap_t *p, int buffer_size);

# DESCRIPTION

pcap_set_buffer_size() sets the buffer size that will be used on a capture handle when the handle is activated to buffer_size, which is in units of bytes.

# RETURN VALUE

pcap_set_buffer_size() returns 0 on success or PCAP_ERROR_ACTIVATED if called on a capture handle that has been activated.

# SEE ALSO

pcap(3), pcap_create(3), pcap_activate(3)

5 April 2008 |